#!/bin/sh

echo untested and no eth dhcp client configured...
$(/etc/init.d/ethernet-mode disable)
# recreate config for client (wan)
onion ethernet client

# set host mode
onion -t ethernet host
sleep 3
# set static ip
uci set network.lan.ipaddr='192.168.101.1'
uci commit

sleep 10

# configure eth0 port as dhcp client
# change the network config
uci -q batch <<-EOF > /dev/null
	set network.wan=interface
	set network.wan.ifname='eth0'
	set network.wan.proto='dhcp'
	commit network
EOF

# remove any existing lan network that uses the eth0 interface
bExists=$(uci -q get network.lan)
if [ "$bExists" != "" ]; then
	uci delete network.lan
	uci commit network
fi

# remove any lan network DHCP
bExists=$(uci -q get dhcp.lan)
if [ "$bExists" != "" ]; then
	uci delete dhcp.lan
	uci commit dhcp
fi

uci set network.wanwifi=interface
uci set network.wanwifi.proto='dhcp'
uci set network.wanwifi.type='bridge'
uci set network.wanwifi.ifname='eth0'

uci commit network
uci set ati.@ati[0].tested=1

uci commit

