#!/bin/sh

mac_id=$(sh /www/ati/scripts/get-id.sh)
ati_id=$( printf "ATI-Straton-%d" $mac_id )

if [ "" != "$(uci -q get ati.@ati[0].broadcastinterface)" ]
then
    uci delete ati.@ati[0].broadcastinterface
fi

echo param: $1

$(/etc/init.d/ethernet-mode disable)
# recreate config for client (wan)
onion ethernet client

# set host mode
onion -t ethernet host
sleep 3
# set static ip
uci set network.lan.ipaddr='192.168.101.1'
uci commit

if [ "$1" == "--ethdhcp" ]; then

	sleep 30

    # configure eth0 port as dhcp client
	# change the network config
	uci -q batch <<-EOF > /dev/null
		set network.wan=interface
		set network.wan.ifname='eth0'
		set network.wan.proto='dhcp'
		commit network
	EOF

	# remove any existing lan network that uses the eth0 interface
	bExists=$(uci -q get network.lan)
	if [ "$bExists" != "" ]; then
		uci delete network.lan
		uci commit network
	fi

	# remove any lan network DHCP
	bExists=$(uci -q get dhcp.lan)
	if [ "$bExists" != "" ]; then
		uci delete dhcp.lan
		uci commit dhcp
	fi
	
	uci set network.wanwifi=interface
	uci set network.wanwifi.proto='dhcp'
	uci set network.wanwifi.type='bridge'
	uci set network.wanwifi.ifname='eth0'

    uci commit network

fi

sh /www/ati/scripts/onion.set-network.sh "WIFI_AP" "$ati_id" "" "none"
uci commit
wifi
sleep 3
wifi