#!/bin/sh

mem=$(cat /proc/meminfo);
ps=$(ps);
cdate=$(date);
syslog=$(logread);
uptime=$(uptime);
hostname=$(uci get system.@system[0].hostname);
atiVersion=$(uci get ati.@ati[0].version);
atiRelease=$(uci get ati.@ati[0].release);
atiId=$(uci get ati.@ati[0].id);
atiConfig=$(uci show ati.@ati[0]);
board=$(cat /var/sysinfo/model);
networkstat=$(ifconfig);
df=$(df -h);
tmp=$(du /tmp | sort -n);

echo -e \
"info: $2
date: $cdate
uptime: $uptime
id: $atiId
hostname: $hostname
board: $board
version: $atiVersion
release: $atiRelease
_________________
conf:
$atiConfig
_________________
mem:
$mem
_________________
df:
$df
_________________
ps:
$ps
_________________
network:
$networkstat
_________________
logread:
$syslog
_________________
tmp:
$tmp
" > $1
