/*! node-ati 2024-12-16 */
var _s,_=require("lodash"),fs=require("fs"),path=require("path"),config=require("./../../config.js"),_perf=require("./../utils/performance.js"),Promise=require("promise"),log4js=require("log4js"),_log=log4js.getLogger("temperature-log");function TemperatureLog(e){this._dataDirectory="./data/temperatures",this._dataFileNamePattern="{{ts}}-temperature.log",this._spots=e,this._maxLines=600,this._logTimer=void 0,this._maxCachedLines=20,this._maxAge=1728e5,this._cachedLines=[]}TemperatureLog.prototype.startLogging=function(){var e=this,t=(this._cleanDirectory(),fs.existsSync(this._dataDirectory)||fs.mkdirSync(this._dataDirectory),setInterval(function(){e._onTick()},1e4));this._logTimer=setInterval(function(){e._onTick(),void 0!==t&&(clearInterval(t),t=void 0)},3e5)},TemperatureLog.prototype._onTick=function(){this._save()},TemperatureLog.prototype._collectData=function(){var e=_.filter(this._spots.getItems(),function(e){return!0===e.enabled||void 0===e.enabled}),t=_.map(e,function(e){return{t:e.temperature,i:e.externalId,o:void 0!==e.online&&e.online?1:0}});if(!0===config.showAllTemperatures)for(var r=0;r<e.length;r++){var i=e[r];if(void 0!==i.rawtemperature)for(var a=0;a<i.rawtemperature.length;a++){var n=i.rawtemperature[a];t.push({t:n.value,i:i.externalId+"-"+n.addr,o:void 0!==i.online&&i.online?1:0})}}return t},TemperatureLog.prototype._save=function(){var e,t=this,r={ts:Date.now(),data:t._collectData()};this._cachedLines.push(r),this._cachedLines.length>this._maxCachedLines&&(_s=_perf(),r=path.join(this._dataDirectory,this._dataFileNamePattern.replace("{{ts}}",(new Date).getTime())),e=JSON.stringify(this._cachedLines).slice(1,-1),fs.writeFile(r,e,function(e){if(e)throw e;1e3<_perf(_s)&&_log.error("Bad performance while writing temperatures ("+_perf(_s)+"ms)"),t._cleanDirectory()}),this._cachedLines=[])},TemperatureLog.prototype._cleanDirectory=function(){var a=this,n=_perf(),o=(new Date).getTime();fs.readdir(a._dataDirectory,function(e,t){if(e)return console.error(e);t.forEach(function(i,e){fs.stat(path.join(a._dataDirectory,i),function(e,t){var r;return e?console.error(e):(r=new Date(t.ctime).getTime()+a._maxAge)<o?fs.unlink(path.join(a._dataDirectory,i),function(e){if(e)return console.error(e);_log.debug(o,r,(r-o)/1e3,r<o),_log.info("cleaned temperature file "+i+" ("+_perf(n)+")")}):void 0})}),_log.debug("clean temperature files ("+_perf(n)+"ms)")})},TemperatureLog.prototype.getStringData=function(o){var i=[],s=this;fs.readdir(s._dataDirectory,function(e,t){for(var r=0;r<t.length;r++)i.push(function(e){return new Promise(function(i,a){var n=path.join(s._dataDirectory,e);fs.stat(n,function(e,r){fs.readFile(n,function(e,t){e&&a(e),i({dt:r.ctime,filename:n,contents:t})})})})}(t[r]));Promise.all(i).then(function(e){for(var t=_.sortBy(e,["dt"]),r="[",i=0;i<t.length;i++){var a=t[i].contents.toString();/^[\],:{}\s]*$/.test(a.replace(/\\["\\\/bfnrtu]/g,"@").replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,"]").replace(/(?:^|:|,)(?:\s*\[)+/g,""))?(1<r.length&&(r+=","),r+=t[i].contents.toString()):_log.error("invalid json data for "+t[i].filename)}for(var n=0;n<s._cachedLines.length;n++)1<r.length&&(r+=","),r+=JSON.stringify(s._cachedLines[n]);o(r+="]")})})},module.exports=TemperatureLog;