/*! node-ati 2024-12-16 */
var config=require("./../../config.js"),_=require("lodash"),EventEmitter=require("events").EventEmitter,util=require("util"),log4js=require("log4js"),_log=log4js.getLogger("temperature-request"),S=require("../settings/settings.ts");function TemperatureRequest(){var e=this;this._interval=setInterval(function(){e._onTick()},config.temperatureRequestInterval),this._latestAddress=1,this._packages=[],this._numberOfAddresses=6,this._ignoreAddresses=[],this._rawTemperatures=[],this._errorCount=[],this._devices=[]}util.inherits(TemperatureRequest,EventEmitter),TemperatureRequest.prototype.setSpots=function(e){var t=e.getOwnItems(),r=this,s=(this._spots=e,this._numberOfAddresses=2*t.length,this._devices=[],S.Singleton.getSysParamQuietDefault("ignore_sensors",""));0!==s.length&&(_log.info("Sensors to ignore configured:",s),s=_.split(s," "),s=_.map(s,function(e){e=_.split(e,"-");return 2!==e.length?{id:s,address:-1}:{id:e[0],address:parseInt(e[1],10)}}),_.forEach(s,function(e){_.some(t,["externalId",e.id])&&r._ignoreAddresses.push(e.address)}),r._ignoreAddresses.length)&&_log.error("Ignore sensors for local addresses: ",this._ignoreAddresses)},TemperatureRequest.prototype.getInitalPackages=function(e){for(var t=1;t<=this._numberOfAddresses;t++)_.includes(this._ignoreAddresses,t)||e.push([t,11,11])},TemperatureRequest.prototype.getPackages=function(e){for(var t=0;t<this._packages.length;t++)e.push(this._packages[t]);this._packages=[]},TemperatureRequest.prototype._addData=function(e){var t=e.address;void 0===this._rawTemperatures[t]&&(this._rawTemperatures[t]=[],this._errorCount[t]=0),0===this._rawTemperatures[t].length||5<=this._errorCount[t]||0<this._rawTemperatures[t].length&&this._rawTemperatures[t][this._rawTemperatures[t].length-1].value+15>=e.value?(this._errorCount[t]=0,this._rawTemperatures[t].push({address:e.address,value:70<e.value?70:e.value,ts:Date.now()})):0<this._rawTemperatures[t].length&&this._errorCount[t]++,5<this._rawTemperatures[t].length&&this._rawTemperatures[t].shift()},TemperatureRequest.prototype.updateData=function(e){var t;!1===e.valid?void 0!==config.debugTemperatures&&!0===config.debugTemperatures&&this.emit("temperature-debug-log",{valid:e.valid,value:e.value,address:e.address,calculated:0,raw:e.raw,adc:e.adc,ts:Date.now(),errorCount:"---"}):(this._addData(e),void 0!==this._spots&&(t=this._getRawTemperature(e.address),t=Math.round(1e3*t)/1e3,this._spots.updateLocalTemperature({address:e.address,value:t}),void 0!==config.debugTemperatures)&&!0===config.debugTemperatures&&this.emit("temperature-debug-log",{valid:e.valid,value:e.value,address:e.address,calculated:t,raw:e.raw,adc:e.adc,ts:Date.now(),errorCount:this._errorCount[e.address]}))},TemperatureRequest.prototype.getDeviceTemperature=function(){var e=this.getRawTemperatures();return _.maxBy(e,"value").value},TemperatureRequest.prototype.getRawTemperatures=function(){var a=[],u=this,i=[];return _.forEach(this._rawTemperatures,function(e,t){void 0!==e&&i.push(u._getRawTemperature(t))}),i=(_.sum(i)-_.min(i)-_.max(i))/(i.length-2),_.forEach(this._rawTemperatures,function(e,t){var r,s;void 0!==e&&(r=_.maxBy(e,"value").value,e=_.minBy(e,"value").value,s=u._getLastTs(t),a.push({address:t,value:u._getRawTemperature(t),ts:s,valid:i-2<=e&&r<=i+2&&r<=65&&s>Date.now()-15e3}))}),a},TemperatureRequest.prototype._getRawTemperature=function(e){var t,r,e=this._rawTemperatures[e];return void 0===e?0:e.length<3?_.meanBy(e,"value"):(t=_.maxBy(e,"value"),r=_.minBy(e,"value"),e=_.filter(e,function(e){return e.ts!==t.ts&&e.ts!==r.ts}),_.meanBy(e,"value"))},TemperatureRequest.prototype._getLastTs=function(e){e=this._rawTemperatures[e];return void 0===e?0:_.maxBy(e,"ts").ts},TemperatureRequest.prototype._onTick=function(){_.includes(this._ignoreAddresses,this._latestAddress)||this._packages.push([this._latestAddress,11,11]),++this._latestAddress>this._numberOfAddresses+1&&(this._latestAddress=1)},module.exports=TemperatureRequest;