/*! node-ati 2024-12-16 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.Dimmer=void 0;var log4js_1=require("log4js"),_=require("lodash"),settings_ts_1=require("../settings/settings.ts"),Dimmer=function(){function e(e,t){this._intensity=1,this._previewDisabled=!0,this._previewTimeout=void 0,this._demoSettings=void 0,this._lastAdc=[],this.log=(0,log4js_1.getLogger)("Dimmer"),this._sysTime=e,this._current=t,this._isLiveMode=!1,this._expectedAdc=0,this._recalibration=4,"undefined"!==settings_ts_1.Singleton.getSysParamQuietDefault(settings_ts_1.Params.AdcO,"undefined")&&(this._recalibration=-1)}return e.prototype._start=function(e){var t=this;this.stop(),this._timer=setInterval(function(){t._onTick()},e),this._previewDisabled=!0},e.prototype.blink=function(e,t){for(var i=[],s=this,o=this._lines.getItems(),a=0;a<o.length;a++)for(var n=0;n<o[a].spots.length;n++){var r=o[a].spots[n];r.isLocal()&&_.some(e,function(e){return e===r._id})&&i.push(r)}if(_.some(i)){s.stop();for(var c=0;c<i.length;c++)this._toggleSpot(i[c],!1);var h=0,d=setInterval(function(){for(var e=0;e<i.length;e++)s._toggleSpot(i[e],h%2);6<++h&&(clearInterval(d),s.start(),t)&&t(!0)},500)}else t&&t(!1)},e.prototype._toggleSpot=function(e,t){for(var i=e.getAllChannels(),s=[],o=0;o<i.length;o++)s.push({c:i[o].channel,a:i[o].address,v:t&&"RB"===i[o].name?50:0});this._sendValuePackages(s)},e.prototype.start=function(){this._start(1e3),this._activeNode=void 0,this._activeNodePackages=void 0,this._activeLine=void 0,this._otherValuePackages=void 0},e.prototype.stop=function(){void 0!==this._timer&&clearInterval(this._timer),this._previewDisabled=!1},e.prototype.setTimelines=function(e){this._lines=e},e.prototype.setLiveTimelines=function(e){this._liveLines=e},e.prototype.getLiveTimelines=function(){return this._liveLines},e.prototype.setAdcBoundaries=function(e,t){this._adcLowerBound=e,this._adcUpperBound=t},e.prototype._setActiveSpotsLine=function(e,t,i){for(var s=0;s<e.spots.length;s++){var o=e.spots[s];_.some(t,function(e){return e===o._id})&&(o.active=i)}},e.prototype.setActiveSpots=function(t,i){for(var s=this,e=this._lines.getItems(),o=0;o<e.length;o++){var a=e[o];a&&s._setActiveSpotsLine(a,t,i)}_.each(this._liveLines.getItems(),function(e){e&&s._setActiveSpotsLine(e,t,i)})},e.prototype.setDemo=function(e){!1===e.active?this._demoSettings=void 0:this._demoSettings=e},e.prototype.updateColorActiveNode=function(t,e){if(this._activeNodePackages&&!this._previewDisabled){for(var i,s=[],o=0;o<this._activeNodePackages.length;o++)this._activeNodePackages[o].n==t&&!0===this._activeNodePackages[o].cr.active&&(this._activeNodePackages[o].v=this._getChannelValue(e,this._activeNodePackages[o].cr,this._activeNode.value/100),s.push(this._activeNodePackages[o]),_.find(this._activeNode.color.values,function(e){return e.name===t}).value=e);this._sendValuePackages(s),0<s.length&&(void 0!==this._updateTimeout&&clearTimeout(this._updateTimeout),(i=this)._updateTimeout=setTimeout(function(){i._updateColor()},1e3))}},e.prototype._updateColor=function(){if(void 0!==this._activeNode){for(var e=this._liveLines.getItems(),t=this._activeNode.color,i=0;i<e.length;i++){var s=e[i];if(s.active)for(var o=0;o<s.nodes.length;o++){var a=s.nodes[o];a.color._id===t._id&&(a.color=t)}}this._updateTimeout=void 0,this.setTimestamp(this._activeNode.time,!0)}},e.prototype.setActiveNode=function(t,i,e,s){if(this._previewDisabled)this.log.debug("DISABLED: set active node "+i,e,s);else{var o=!1,a=!1;if(this.log.debug("set active node "+i,e,s),this._activeNode&&this._activeLine&&this._activeLine._id==t&&this._activeNode.index==i)(this._activeNode.value!=e||void 0!==s&&this._activeNode.color._id!==s._id)&&(this._activeNode.value=e,void 0!==s&&(this._activeNode.color=s),this._activeNodePackages=this._getValuePackagesByColor(this._activeLine,this._activeNode.color,e/100),a=!0);else{if(this._activeLine=_.find(this._liveLines.getItems(),function(e){return e._id==t}),void 0===this._activeLine)return void this.log.error("No group with id "+t+" available!");this._activeNode=_.find(this._activeLine.nodes,function(e){return e.index==i});var n=this._activeNode.time,r=this._liveLines.getItems();this._otherExpectedAdc=0,this._otherValuePackages=[];for(var c=0;c<r.length;c++){var h=r[c];h._id!=t&&(this._otherValuePackages=_.concat(this._otherValuePackages,this._getValuePackagesByLine(h,n)))}this._otherExpectedAdc+=_.sumBy(this._otherValuePackages,"adc"),a=o=!0,void 0!==s&&(this._activeNode.color=s),this._activeNode.value=e,this._activeNodePackages=this._getValuePackagesByColor(this._activeLine,this._activeNode.color,e/100)}s=this._otherExpectedAdc+_.sumBy(this._activeNodePackages,"adc"),e=1;s>this._adcLowerBound&&(e=Math.ceil(this._adcUpperBound/s*100)/100),this._intensity===e&&!o||(this._intensity=e,this._sendValuePackages(this._otherValuePackages)),a&&this._sendValuePackages(this._activeNodePackages)}},e.prototype.setLocalTemperature=function(e){this._localTemperature=e},e.prototype._getChannelValue=function(e,t,i){return void 0!==t&&(2<e&&(e*=t.factor),void 0!==t.valueTemperature&&t.valueTemperature.max<e&&t.valueTemperature.temperature>this._localTemperature&&(e=t.valueTemperature.max),void 0!==t.power&&(e*=t.power),void 0!==i&&(e*=i),1!==e||void 0!==t.previousValue&&0!==t.previousValue||(e=2)),0===e?0:Math.round(3+e*(252/255))},e.prototype._getValuePackagesByColor=function(e,t,i){for(var s=[],o=0;o<t.values.length;o++)for(var a=t.values[o],n=e.getChannelsByColorName(a.name),r=0;r<n.length;r++){var c=a.value,c=(n[r].active||(c=0),this._getChannelValue(c,n[r],i)),h=void 0!==n[r].max?c/255*n[r].max:0;s.push({c:n[r].channel,a:n[r].address,v:c,adc:h,n:a.name,cr:n[r]})}return s},e.prototype._getValuePackagesByLine=function(e,t){t=e.getColorByTimestamp(t);return this._getValuePackagesByColor(e,t,void 0)},e.prototype._sendValuePackages=function(e){var t;void 0!==this.onSendPackages&&(t=_.map(e,function(e){return[e.a,e.c,Math.round(e.v)]}),this.onSendPackages(t,e))},e.prototype.setTimestamp=function(e,t){if(void 0===this._updateTimeout&&this._previewDisabled!==t){var i,s=[],s=(!0===t?this._liveLines:this._lines).getItems();t&&(void 0!==(i=this)._previewTimeout&&clearTimeout(this._previewTimeout),this._previewTimeout=setTimeout(function(){i.start(),i.log.warn("timeout preview after 10s!")},1e4));for(var o=[],a=32,n=!1,r=0;r<s.length;r++){var c=s[r];if(c.active){var h=void 0;h=!t&&void 0!==this._demoSettings&&!0===this._demoSettings.active&&_.includes(this._demoSettings.sections,c._id)?new(require("../../model/color.js"))(this._demoSettings.color).createByIntensity(this._demoSettings.intensity):c.getColorByTimestamp(e);for(var d=0;d<h.values.length;d++)for(var v=h.values[d],l=c.getChannelsByColorName(v.name),u=0;u<l.length;u++){var p=v.value,g=(l[u].active||(p=0),this._getChannelValue(p,l[u],void 0)),m=void 0!==l[u].max?g/255*l[u].max:0;o.push({c:l[u].channel,a:l[u].address,v:g,adc:m,n:v.name,cr:l[u]}),a+=m,l[u].previousValue!=p&&(n=!0),l[u].previousValue=p}}}var f,y,k,N=this._intensity;this._expectedAdc=a,n&&a>this._adcLowerBound&&(N=Math.ceil(this._adcUpperBound/a*100)/100),void 0===this._current||n||(f=this._current.getSync(),-1<this._recalibration&&1<=N&&50<f.adc&&200<this._expectedAdc&&f.adc<this._expectedAdc-100&&0==this._recalibration--&&(this.log.error("Recalibrate offset needed! ["+this._expectedAdc+", "+f.adc+"]"),f=this._current.getSync()),y=.01,this._lastAdc.push(f.adc),4<this._lastAdc.length&&this._lastAdc.shift(),k=_.mean(this._lastAdc),this._adcLowerBound-120<f.adc&&(y=5e-4),k>this._adcUpperBound&&1<=N?N=Math.ceil(this._adcUpperBound/this._expectedAdc*100)/100-.1:k>this._adcUpperBound&&0<N?N-=y:k<this._adcLowerBound&&N<1&&(N+=y)),1<N&&(N=1);for(r=0;r<o.length;r++){var P=o[r];P.v=P.v*N}this._sendValuePackages(o),this._intensity=N}},e.prototype._onTick=function(){var e,t=this._sysTime.getTime();void 0!==this._demoSettings&&((e=this._demoSettings).start>e.stop&&e.start>t&&e.stop>t||e.start<e.stop&&e.stop<t)&&(this._demoSettings=void 0,this.onFinishDemo)&&this.onFinishDemo(),this.setTimestamp(t,!1)},e}();exports.Dimmer=Dimmer;